# Link Wallet

<mark style="color:blue;">`GET`</mark> `/api/user/link_wallet`

#### Headers

| Name                                            | Type   | Description                                                      |
| ----------------------------------------------- | ------ | ---------------------------------------------------------------- |
| authorization<mark style="color:red;">\*</mark> | String | For the profile to be updated, you need to attach the JWT token. |

#### Request Body

| Name                                              | Type   | Description                                                  |
| ------------------------------------------------- | ------ | ------------------------------------------------------------ |
| signature<mark style="color:red;">\*</mark>       | String |                                                              |
| signed\_message<mark style="color:red;">\*</mark> | String | Make sure the string Address: appears in the signed message. |
| wallet\_address<mark style="color:red;">\*</mark> | String |                                                              |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  success: "Your wallet were successfully connected."
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```javascript
{
   error: "You have already linked this wallet address to your account"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://w3auth.devzstudio.com/api-reference/link-wallet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
